#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 brick
version:              0.55
visibility:           public
id:                   brick-0.55-DUkUQszhWlhHwMUXouOsDb
key:                  brick-0.55-DUkUQszhWlhHwMUXouOsDb
license:              BSD-3-Clause
copyright:            (c) Jonathan Daugherty 2015-2018
maintainer:           Jonathan Daugherty <cygnus@foobox.com>
author:               Jonathan Daugherty <cygnus@foobox.com>
homepage:             https://github.com/jtdaugherty/brick/
synopsis:             A declarative terminal user interface library
description:
    Write terminal user interfaces (TUIs) painlessly with '\''brick'\''! You
    write an event handler and a drawing function and the library does the
    rest.


    > module Main where
    >
    > import Brick
    >
    > ui :: Widget ()
    > ui = str "Hello, world!"
    >
    > main :: IO ()
    > main = simpleMain ui


    To get started, see:

    * <https://github.com/jtdaugherty/brick/blob/master/README.md The README>

    * The <https://github.com/jtdaugherty/brick/blob/master/docs/guide.rst Brick user guide>

    * The demonstration programs in the '\''programs'\'' directory


    This package deprecates <http://hackage.haskell.org/package/vty-ui vty-ui>.

category:             Graphics
abi:                  67d8a7ce8acceff6077ecc78c345fafe
exposed:              True
exposed-modules:
    Brick Brick.AttrMap Brick.BChan Brick.BorderMap Brick.Focus
    Brick.Forms Brick.Main Brick.Markup Brick.Themes Brick.Types
    Brick.Util Brick.Widgets.Border Brick.Widgets.Border.Style
    Brick.Widgets.Center Brick.Widgets.Core Brick.Widgets.Dialog
    Brick.Widgets.Edit Brick.Widgets.FileBrowser Brick.Widgets.List
    Brick.Widgets.ProgressBar Data.IMap Data.Text.Markup

hidden-modules:
    Brick.Types.Common Brick.Types.TH Brick.Types.Internal
    Brick.Widgets.Internal

import-dirs:          /usr/lib/ghc-8.10.2/site-local/brick-0.55
library-dirs:         /usr/lib/ghc-8.10.2/site-local/brick-0.55
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.2/brick-0.55
hs-libraries:         HSbrick-0.55-DUkUQszhWlhHwMUXouOsDb
depends:
    base-4.14.1.0 bytestring-0.10.10.0
    config-ini-0.2.4.0-2MasOH4PwYyIMJsxplndoG containers-0.6.2.1
    contravariant-1.5.2-9cUYDQvrBi493NpHNvxLum
    data-clist-0.1.2.3-811jTyw1WJeASU5Zaidfqt deepseq-1.4.4.0
    directory-1.3.6.0 dlist-1.0-5ej84cv0IrB48BysmcUNjs
    exceptions-0.10.4 filepath-1.4.2.1
    microlens-0.4.11.2-9caS3Frz8K54yIHXMtlddL
    microlens-mtl-0.2.0.1-LdvXNIQNEV94YQezdBSAhZ
    microlens-th-0.4.3.5-25zRB3nNkx4IpSX6Cm7F3X stm-2.5.0.0
    template-haskell-2.16.0.0 text-1.2.3.2
    text-zipper-0.10.1-ITaX7OMj5EmGrPCWKgO7OM transformers-0.5.6.2
    unix-2.7.2.2 vector-0.12.1.2-E9lCzNvHLtkKefSxgFoNMj
    vty-5.30-C0W5dmaKSu7CAHdzDj9fiv
    word-wrap-0.4.1-1kD6lL5HDAEKEKeuSTqSgd

haddock-interfaces:   /usr/share/doc/haskell-brick/html/brick.haddock
haddock-html:         /usr/share/doc/haskell-brick/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

